TF_DecryptorBase Class Reference

Trapdoor function cryptosystems decryption base class. More...

`#include <pubkey.h>`

Inheritance diagram for TF_DecryptorBase:

## Public Member Functions

DecodingResult | Decrypt (RandomNumberGenerator &rng, const byte *ciphertext, size_t ciphertextLength, byte *plaintext, const NameValuePairs &parameters=g_nullNameValuePairs) const
Public Member Functions inherited from TF_CryptoSystemBase< PK_Decryptor, TF_Base< TrapdoorFunctionInverse, PK_EncryptionMessageEncodingMethod > >
bool | ParameterSupported (const char *name) const
size_t | FixedMaxPlaintextLength () const
size_t | FixedCiphertextLength () const
Public Member Functions inherited from PK_FixedLengthCryptoSystemImpl< BASE >
size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const

## Detailed Description

Trapdoor function cryptosystems decryption base class.

Definition at line 283 of file pubkey.h.

## Constructor & Destructor Documentation

## ~TF_DecryptorBase()

virtual TF_DecryptorBase::~TF_DecryptorBase | ( |  | ) |

inline virtual

Definition at line 286 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h